package com.usky.iot.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.iot.domain.PmReceive;
import com.usky.iot.mapper.PmReceiveMapper;
import com.usky.iot.service.PmReceiveService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 报告接收表 服务实现类
 * </p>
 *
 * @author han
 * @since 2024-07-09
 */
@Service
public class PmReceiveServiceImpl extends AbstractCrudService<PmReceiveMapper, PmReceive> implements PmReceiveService {

    @Autowired
    private PmReceiveMapper pmReceiveMapper;

    @Override
    public void add(PmReceive receive) {

    }

    @Override
    public void updateReadFlag(Integer reportId) {
        Long userId = SecurityUtils.getUserId();
        LambdaUpdateWrapper<PmReceive> updateWrapper = Wrappers.lambdaUpdate();
        updateWrapper
                .set(PmReceive::getReadFlag, 1)
                .set(PmReceive::getUpdateBy, SecurityUtils.getUsername())
                .set(PmReceive::getUpdateTime, LocalDateTime.now())
                .eq(PmReceive::getReportId, reportId)
                .eq(PmReceive::getReceiverId, userId);
        pmReceiveMapper.update(null, updateWrapper);
    }
}
